%define _build_pkgcheck_set %{nil}
%define _build_pkgcheck_srpm %{nil}

Summary:	Network exploration tool and security scanner
Name:		nmap
Version:	6.01
Release:	1
Epoch:		1
License:	GPLv2
Group:		Networking/Other
URL:		http://nmap.org/
Source0:	http://nmap.org/dist/%{name}-%{version}.tar.bz2
Source1:	%{name}_icons.tar.bz2
Patch0:		nmap-5.21-libpcap-filter.diff
Patch1:		nmap-4.00-noreturn.diff
BuildRequires:	libpcre-devel
BuildRequires:	openssl-devel
BuildRequires:	python-devel >= 2.4
BuildRequires:	lua-devel

%description
Nmap is a utility for network exploration or security auditing. It supports
ping scanning (determine which hosts are up), many port scanning techniques
(determine what services the hosts are offering), and TCP/IP fingerprinting
(remote host operating system identification). Nmap also offers flexible target
and port specification, decoy scanning, determination of TCP sequence
predictability characteristics, sunRPC scanning, reverse-identd scanning, and
more.

%package	frontend
Summary:	Multi-platform graphical Nmap frontend and results viewer
Group:		Networking/Other
Requires:	%{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:	pygtk2
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description	frontend
Zenmap is an Nmap frontend. It is meant to be useful for advanced users and to
make Nmap easy to use by beginners. It was originally derived from Umit, an
Nmap GUI created as part of the Google Summer of Code.

%prep
%setup -q -n %{name}-%{version} -a1
%patch0 -p1 -b .libpcap-filter
%patch1 -p0 -b .noreturn

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" configure*

%build
# update config.* to recognize amd64-*
#{?__cputoolize: %{__cputoolize} -c nsock/src}

%configure2_5x
%make 

%install
rm -rf %{buildroot}
unset PYTHONDONTWRITEBYTECODE
%makeinstall_std nmapdatadir=%{_datadir}/nmap STRIP=/bin/true

install -m0644 docs/zenmap.1 %{buildroot}%{_mandir}/man1/

install -d %{buildroot}{%_miconsdir,%_liconsdir}
install -m0644 %{name}16.png %{buildroot}%{_miconsdir}/%{name}.png
install -m0644 %{name}32.png %{buildroot}%{_iconsdir}/%{name}.png
install -m0644 %{name}48.png %{buildroot}%{_liconsdir}/%{name}.png

rm -f %{buildroot}%{_datadir}/applications/*.desktop

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Nmap
Comment=A frontend for the nmap port scanner
Exec=%{_bindir}/zenmap
Icon=%{name}
Terminal=false
Type=Application
Categories=System;Monitor;
EOF

# cleanup
rm -f %{buildroot}%{_bindir}/uninstall_zenmap

%files
%doc COPYING* HACKING docs/README docs/nmap.usage.txt
%{_bindir}/%{name}
%{_bindir}/ncat
%{_bindir}/ndiff
%{_bindir}/nping
%{_mandir}/man1/nmap.*
%{_mandir}/man1/ncat.*
%{_mandir}/man1/ndiff.*
%{_mandir}/man1/nping.*
%{_datadir}/%{name}
%{_datadir}/ncat
%lang(de) %{_mandir}/de/man1/nmap.1*
%lang(es) %{_mandir}/es/man1/nmap.1*
%lang(fr) %{_mandir}/fr/man1/nmap.1*
%lang(hr) %{_mandir}/hr/man1/nmap.1*
%lang(hu) %{_mandir}/hu/man1/nmap.1*
%lang(it) %{_mandir}/it/man1/nmap.1*
%lang(jp) %{_mandir}/jp/man1/nmap.1*
%lang(pl) %{_mandir}/pl/man1/nmap.1*
%lang(pt_BR) %{_mandir}/pt_BR/man1/nmap.1*
%lang(pt_PT) %{_mandir}/pt_PT/man1/nmap.1*
%lang(ro) %{_mandir}/ro/man1/nmap.1*
%lang(ru) %{_mandir}/ru/man1/nmap.1*
%lang(sk) %{_mandir}/sk/man1/nmap.1*
%lang(zh) %{_mandir}/zh/man1/nmap.1*

%files frontend
%{_bindir}/nmapfe
%{_bindir}/xnmap
%{_bindir}/zenmap
%{python_sitelib}/*
%{_datadir}/zenmap
%{_datadir}/applications/*.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_mandir}/man1/zenmap.1*


%changelog
* Thu Jun 21 2012 Alexander Khrukin <akhrukin@mandriva.org> 1:6.01-1
+ Revision: 806597
- version update 6.01

* Tue May 22 2012 Bernhard Rosenkraenzer <bero@bero.eu> 1:6.00-1
+ Revision: 799967
- Update to 6.00

* Tue Feb 07 2012 Oden Eriksson <oeriksson@mandriva.com> 1:5.51.6-1
+ Revision: 771603
- 5.51.6
- various fixes
- totally disable that friggin rpmlint here as this will never work,
  well it may work if you split out the python code into a sub package,
  etc. etc. etc. no gain what so ever!!!
- rebuilt for new pcre

* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 1:5.51-2
+ Revision: 666617
- mass rebuild

* Sat Feb 19 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1:5.51-1
+ Revision: 638738
- new version
- fix man pages localisation

* Thu Apr 08 2010 Eugeni Dodonov <eugeni@mandriva.com> 1:5.21-3mdv2011.0
+ Revision: 533030
- Do not build md2 (openssl 1.0.0 does not supports it).
  Fix building python bytecode.
- Rebuild for new openssl

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 1:5.21-2mdv2010.1
+ Revision: 511597
- rebuilt against openssl-0.9.8m

* Sat Jan 30 2010 Frederik Himpe <fhimpe@mandriva.org> 1:5.21-1mdv2010.1
+ Revision: 498550
- Update to new version 5.21
- Rediff libpcap-filter patch
- Remove string literal patch (not needed anymore)
- Add man page translations to file list

* Fri Oct 09 2009 Thierry Vignaud <tv@mandriva.org> 1:5.00-2mdv2010.0
+ Revision: 456418
- do not package huge changelog

* Fri Jul 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:5.00-1mdv2010.0
+ Revision: 396922
- new version
- no need for a patch to avoid stripping, a make parameter is enough

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 1:4.76-3mdv2009.1
+ Revision: 319687
- rebuild for new python

* Mon Dec 22 2008 Oden Eriksson <oeriksson@mandriva.com> 1:4.76-2mdv2009.1
+ Revision: 317516
- rediffed one fuzzy patch (P1)
- fix build with -Werror=format-security (P3)

* Fri Sep 12 2008 Frederik Himpe <fhimpe@mandriva.org> 1:4.76-1mdv2009.0
+ Revision: 284235
- update to new version 4.76

* Tue Sep 09 2008 Frederik Himpe <fhimpe@mandriva.org> 1:4.75-1mdv2009.0
+ Revision: 283295
- Update to new version 4.75 (nselib-bin directory has been removed
  by upstream)

* Tue Jul 15 2008 Oden Eriksson <oeriksson@mandriva.com> 1:4.68-1mdv2009.0
+ Revision: 236088
- 4.68
- 4.60
- rediffed P2

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat Jan 26 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:4.53-1mdv2008.1
+ Revision: 158316
- update to new version 4.53

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Oden Eriksson <oeriksson@mandriva.com> 1:4.50-1mdv2008.1
+ Revision: 119447
- 4.50
- rediffed P2

* Fri Aug 31 2007 Funda Wang <fwang@mandriva.org> 1:4.20-2mdv2008.0
+ Revision: 76517
- drop old menu
- remove quotes of comments

